## org.apache.fop.fo.pagination
Class SimplePageMaster

    java.lang.Object
      |
      +--org.apache.fop.fo.FONode
            |
            +--org.apache.fop.fo.FObj
                  |
                  +--org.apache.fop.fo.pagination.SimplePageMaster

public class SimplePageMaster
extends FObj

Inner Class Summary
`static class` `SimplePageMaster.Maker`

Inner classes inherited from class org.apache.fop.fo.FObj
`FObj.Maker`

Fields inherited from class org.apache.fop.fo.FObj
`name, properties`

Fields inherited from class org.apache.fop.fo.FONode
`bodyIndent, BREAK_AFTER, children, distanceBetweenStarts, forcedStartOffset, forcedWidth, isInLabel, isInListBody, isInTableCell, labelSeparation, linkSet, marker, orphans, parent, START, widows`

Constructor Summary
`protected` `SimplePageMaster(FObj parent, PropertyList propertyList)`

Method Summary
`protected void` `addRegion(Region region)`
`protected void` `end()`
`java.lang.String` `getMasterName()`
`PageMaster` `getNextPageMaster()`
`PageMaster` `getPageMaster()`
`protected Region` `getRegion(java.lang.String regionClass)`
`protected java.util.Hashtable` `getRegions()`
`static FObj.Maker` `maker()`
`protected boolean` `regionNameExists(java.lang.String regionName)`

Methods inherited from class org.apache.fop.fo.FObj
`addCharacters, generatesReferenceAreas, getContentWidth, getName, getProperty, layout, removeID, start`

Methods inherited from class org.apache.fop.fo.FONode
`addChild, forceStartOffset, forceWidth, getLinkSet, getMarkerSnapshot, getParent, removeAreas, resetMarker, rollback, setBodyIndent, setDistanceBetweenStarts, setIsInLabel, setIsInListBody, setIsInTableCell, setLabelSeparation, setLinkSet, setOrphans, setWidows`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimplePageMaster

    protected SimplePageMaster(FObj parent,
                               PropertyList propertyList)
                        throws FOPException

Method Detail

### maker

    public static FObj.Maker maker()

### end

    protected void end()

  Overrides:
    end in class FObj

### getPageMaster

    public PageMaster getPageMaster()

### getNextPageMaster

    public PageMaster getNextPageMaster()

### getMasterName

    public java.lang.String getMasterName()

### addRegion

    protected void addRegion(Region region)
                      throws FOPException

### getRegion

    protected Region getRegion(java.lang.String regionClass)

### getRegions

    protected java.util.Hashtable getRegions()

### regionNameExists

    protected boolean regionNameExists(java.lang.String regionName)

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.